## ocaml-qtest 2.9

=== Makefile ===

build:
	jbuilder build @install

clean:
	jbuilder clean

doc:
	jbuider doc

test: build
	cd tests && ./testfoo.sh || true
	cd tests && ./testcppo.sh || true
	cd tests && ./testdirectives.sh || true

=== debian/changelog ===
ocaml-qtest (2.9-2) unstable; urgency=medium

  * Update install files for a change in dune. (Closes: #917737)
  * Bump Standards-Version to 4.3.0 (no changes).

 -- Andy Li <andy@onthewings.net>  Sun, 30 Dec 2018 22:04:26 +0800

ocaml-qtest (2.9-1) unstable; urgency=medium

  * Initial release. (Closes: #908003)

 -- Andy Li <andy@onthewings.net>  Wed, 05 Sep 2018 16:37:50 +0800

=== debian/control ===
Source: ocaml-qtest
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Andy Li <andy@onthewings.net>
Standards-Version: 4.3.0
Build-Depends:
 debhelper (>= 10~),
 dh-ocaml,
 ocaml-nox (>= 4.02.0),
 dune,
 ocaml-findlib,
 opam,
 libounit-ocaml-dev,
 libqcheck-ocaml-dev
Homepage: https://github.com/vincent-hugot/qtest
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-qtest
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-qtest.git

Package: ocaml-qtest
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Description: Inline (Unit) Tests for OCaml (Executable)
 qtest extracts inline unit tests written using a special syntax in
 comments. Those tests are then run using the oUnit framework and the
 qcheck library. The possibilities range from trivial tests -- extremely
 simple to use -- to sophisticated random generation of test cases.

Package: libqtest-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Inline (Unit) Tests for OCaml (Runtime library)
 qtest extracts inline unit tests written using a special syntax in
 comments. Those tests are then run using the oUnit framework and the
 qcheck library. The possibilities range from trivial tests -- extremely
 simple to use -- to sophisticated random generation of test cases.

Package: libqtest-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Inline (Unit) Tests for OCaml (Development package)
 qtest extracts inline unit tests written using a special syntax in
 comments. Those tests are then run using the oUnit framework and the
 qcheck library. The possibilities range from trivial tests -- extremely
 simple to use -- to sophisticated random generation of test cases.

Package: libqtest-ocaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances: libqtest-ocaml-dev
Description: Documentation for ocaml-qtest
 qtest extracts inline unit tests written using a special syntax in
 comments. Those tests are then run using the oUnit framework and the
 qcheck library. The possibilities range from trivial tests -- extremely
 simple to use -- to sophisticated random generation of test cases.
 .
 This package contains documentation for ocaml-qtest in html format.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_auto_configure:

override_dh_auto_build:
	jbuilder build @install --verbose

override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	jbuilder install --prefix=$(DESTDIR)/usr --libdir=$(OCAMLFIND_DESTDIR) --verbose

override_dh_missing:
	dh_missing --fail-missing

## ocaml-qtest 2.10.1

=== Makefile ===

build:
	@dune build @install

clean:
	@dune clean

test: build
	cd tests && ./testfoo.sh || true
	cd tests && ./testcppo.sh || true
	cd tests && ./testdirectives.sh || true

=== debian/changelog ===
ocaml-qtest (2.10.1-2) unstable; urgency=medium

  * Fix testdirectives autopkgtest (Closes: #952505)
    + Add ocaml-qtest/debian/patches/testdirectives.patch, which is sent
      to upstream https://github.com/vincent-hugot/qtest/pull/55

 -- Andy Li <andy@onthewings.net>  Fri, 06 Mar 2020 08:41:44 +0800

ocaml-qtest (2.10.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #952254)
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 Feb 2020 07:43:55 +0100

ocaml-qtest (2.9-3) unstable; urgency=medium

  * Update install file for the latest version of dune. (Closes: #935618)
  * Bump Standards-Version to 4.4.0 (no changes).
  * Mark libqtest-ocaml-doc Multi-Arch: foreign.

 -- Andy Li <andy@onthewings.net>  Sun, 25 Aug 2019 16:19:13 +0800

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-ocaml,
  ocaml-nox (>= 4.02.0),
- dune,
+ ocaml-dune,
  ocaml-findlib,
- opam,
  libounit-ocaml-dev,
  libqcheck-ocaml-dev
 Homepage: https://github.com/vincent-hugot/qtest
@@ -64,6 +64,7 @@
 Package: libqtest-ocaml-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Enhances: libqtest-ocaml-dev
 Description: Documentation for ocaml-qtest

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p qtest --verbose

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) --verbose

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
https://github.com/vincent-hugot/qtest/releases .*/archive/v?(\d\S*)\.tar\.gz

## ocaml-qtest 2.11

=== debian/changelog ===
ocaml-qtest (2.11-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Aug 2020 09:00:14 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-ocaml,
- ocaml-nox (>= 4.02.0),
+ ocaml-nox (>= 4.03.0),
  ocaml-dune,
  ocaml-findlib,
- libounit-ocaml-dev,
+ libounit-ocaml-dev (>= 2.2.0),
  libqcheck-ocaml-dev
 Homepage: https://github.com/vincent-hugot/qtest
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-qtest

## ocaml-qtest 2.11.1

=== debian/changelog ===
ocaml-qtest (2.11.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 21 Sep 2020 18:31:11 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  ocaml-dune,
  ocaml-findlib,
  libounit-ocaml-dev (>= 2.2.0),
- libqcheck-ocaml-dev
+ libqcheck-ocaml-dev (>= 0.14)
 Homepage: https://github.com/vincent-hugot/qtest
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-qtest
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-qtest.git

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,3 @@
 
 override_dh_auto_install:
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) --verbose
-
-override_dh_missing:
-	dh_missing --fail-missing

## ocaml-qtest 2.11.2

=== debian/changelog ===
ocaml-qtest (2.11.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Tue, 30 Nov 2021 08:48:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

=== debian/tests/control ===
Tests: testfoo, testcppo, testdirectives
Depends: ocaml-nox, ocamlbuild, ocaml-findlib, libounit-ocaml-dev, libqcheck-ocaml-dev, ocaml-qtest, cppo
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/vincent-hugot/qtest/tags .*/v?([0-9.]+)\.tar\.gz
